head	1.7;
access;
symbols
	TIGRIS_1_1_0RC2:1.6
	TIGRIS_1_1_0RC1:1.6
	TIGRIS_1_1:1.6.0.12
	TIGRIS_1_0_8:1.6
	TIGRIS_1_0_8RC3:1.6
	TIGRIS_1_0_8RC2:1.6
	TIGRIS_1_0_8RC1:1.6
	TIGRIS_1_0_7:1.6
	TIGRIS_1_0_7RC3:1.6
	TIGRIS_1_0_7RC2:1.6
	TIGRIS_1_0_7RC1:1.6
	TIGRIS_1_0_6:1.6
	TIGRIS_1_0_6RC5:1.6
	TIGRIS_1_0_6RC4:1.6
	TIGRIS_1_0_6RC3:1.6
	TIGRIS_1_0_6RC2:1.6
	TIGRIS_1_0_6RC1:1.6
	TIGRIS_1_0_5:1.6
	TIGRIS_1_0_5RC6:1.6
	TIGRIS_1_0_5RC5:1.6
	TIGRIS_1_0_5RC4:1.6
	TIGRIS_1_0_5RC3:1.6
	TIGRIS_1_0_5RC2:1.6
	TIGRIS_1_0_5RC1:1.6
	TIGRIS_1_0_4:1.6
	TIGRIS_1_0_3:1.6
	TIGRIS_1_0_2:1.6
	TIGRIS_1_0_1:1.6
	TIGRIS_1_0:1.6.0.14
	TIGRIS_1_0_0:1.6
	TIGRIS_1_0_0_RC1:1.6.0.10
	dlr:1.1.1
	TIGRIS_0_9_2_4:1.6
	TIGRIS_0_9_2_3:1.6
	HELM_PEER_PORT_BRANCH:1.1.1.1
	TURBINE_PEER:1.6
	TIGRIS_0_9_2_1:1.6
	TIGRIS_0_9_2:1.6.0.8
	TIGRIS_0_9_0:1.6.0.6
	TIGRIS_0_8_4:1.6.0.4
	NEWHELM:1.1.1.1
	TIGRIS_NOV_12_2000:1.1.1
	OLDHELM:1.6.0.2
	TIGRIS_NOV_11_2000:1.6
	TIGRIS_SEP_13_2000:1.4.0.2
	TIGRIS_BASELINE:1.5;
locks; strict;
comment	@# @;


1.7
date	2001.05.24.17.34.43;	author dlr;	state Exp;
branches;
next	1.6;

1.6
date	2000.10.05.02.26.01;	author jrobbins;	state Exp;
branches;
next	1.5;

1.5
date	2000.09.20.21.01.22;	author kmaples;	state Exp;
branches;
next	1.4;

1.4
date	2000.07.11.04.22.11;	author dlr;	state Exp;
branches
	1.4.2.1;
next	1.3;

1.3
date	2000.07.07.22.20.27;	author dlr;	state Exp;
branches;
next	1.2;

1.2
date	2000.06.07.19.03.35;	author dlr;	state Exp;
branches;
next	1.1;

1.1
date	2000.05.23.20.35.04;	author jrobbins;	state Exp;
branches
	1.1.1.1;
next	;

1.1.1.1
date	2000.11.12.21.17.57;	author dlr;	state Exp;
branches;
next	;

1.4.2.1
date	2000.10.23.06.01.03;	author lucas;	state Exp;
branches;
next	1.4.2.2;

1.4.2.2
date	2000.10.24.18.01.20;	author lucas;	state Exp;
branches;
next	;


desc
@@


1.7
log
@Removed template cooking non-sense (deprecated by switch to Velocity).
@
text
@######################################################################
# -*- Makefile -*- config file developed for a Unix system.
# 

PROJECT=helm
SITE_ROOT=$(SANDBOX)/site
TEMPLATE_DIR=$(SANDBOX)/$(PROJECT)/templates
RAW_DIR=org/tigris
SITE_TEMPLATE_DIR=$(SITE_ROOT)/templates
#SITE_TEMPLATE_BRAND=$(SITE_TEMPLATE_DIR)/$(BRAND)
INSTALL_DIR=$(SITE_TEMPLATE_DIR)/$(RAW_DIR)
@


1.6
log
@got rid of brand dir, it seems to have been elimianted from joist
@
text
@a8 1
COOKED_DIR=$(TEMPLATE_DIR)/cooked
@


1.5
log
@Changed RAW_DIR from 'org' to 'org/tigris' - this was preventing 'make install'
from performing properly.  Note that at the moment, this is a hard-coded
path fragment.
@
text
@d11 2
a12 2
SITE_TEMPLATE_BRAND=$(SITE_TEMPLATE_DIR)/$(BRAND)
INSTALL_DIR=$(SITE_TEMPLATE_BRAND)/$(RAW_DIR)
@


1.4
log
@Changed SITE_ROOT to $SERVLET_TEMPLATE_ROOT and $BRAND_TEMPLATE_ROOT.
@
text
@d8 1
a8 1
RAW_DIR=org
@


1.4.2.1
log
@Adjusted project Makefile to use Ant.

Added helm.jar to repositories.

Modified templates/Makefile to appropiate directory structure.

PR:
Obtained from:
Submitted by:
Reviewed by:
@
text
@d12 1
a12 2
#INSTALL_DIR=$(SITE_TEMPLATE_BRAND)/$(RAW_DIR)
INSTALL_DIR=$(SITE_TEMPLATE_DIR)/$(RAW_DIR)
@


1.4.2.2
log
@Updated to use the org/tigris/helm tree

PR:
Obtained from:
Submitted by:
Reviewed by:
@
text
@d8 1
a8 1
RAW_DIR=org/tigris
@


1.3
log
@Fixed cooking problem!  Templates now install properly either raw or cooked.
@
text
@d8 1
a8 1
RAW_DIR=org/$(PROJECT)
@


1.2
log
@Updated to install successfully into the sandbox.
@
text
@d8 1
a8 1
RAW_DIR=org
d12 1
a12 1
INSTALL_DIR=$(SITE_TEMPLATE_BRAND)/$(RAW_DIR)/$(PROJECT)
@


1.1
log
@added template makefiles by copying from sourcexchange
@
text
@d5 1
a6 1
PROJECT=helm
d8 1
a8 1
RAW_DIR=./org
@


1.1.1.1
log
@Merging newhelm tree into helm, as per IZ issue #557.  Previous major version of helm is tagged TIGRIS_NOV_11_2000.
@
text
@d5 1
a6 1
SITE_ROOT=$(SANDBOX)/site
d8 1
a8 1
RAW_DIR=org/tigris
d11 2
a12 2
#SITE_TEMPLATE_BRAND=$(SITE_TEMPLATE_DIR)/$(BRAND)
INSTALL_DIR=$(SITE_TEMPLATE_DIR)/$(RAW_DIR)
@


